Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class XMLStringFactory

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.XMLStringFactory

Direct Known Subclasses:
  XMLStringFactoryImpl

public abstract class XMLStringFactory
extends java.lang.Object

A concrete class that implements this interface creates XMLString objects.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`XMLStringFactory()`

Method Summary
`abstract XMLString` | `emptystr()` Get a cheap representation of an empty string.
`abstract XMLString` | `newstr(char[] string, int start, int length)` Create a XMLString from a FastStringBuffer.
`abstract XMLString` | `newstr(FastStringBuffer string, int start, int length)` Create a XMLString from a FastStringBuffer.
`abstract XMLString` | `newstr(java.lang.String string)` Create a new XMLString from a Java string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLStringFactory

    public XMLStringFactory()

Method Detail

### newstr

    public abstract XMLString newstr(java.lang.String string)

  Create a new XMLString from a Java string.

  Parameters:
    `string` - Java String reference, which must be non-null.
  Returns:
    An XMLString object that wraps the String reference.

### newstr

    public abstract XMLString newstr(FastStringBuffer string,
                                     int start,
                                     int length)

  Create a XMLString from a FastStringBuffer.

  Parameters:
    `string` - FastStringBuffer reference, which must be non-null.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Returns:
    An XMLString object that wraps the FastStringBuffer reference.

### newstr

    public abstract XMLString newstr(char[] string,
                                     int start,
                                     int length)

  Create a XMLString from a FastStringBuffer.

  Parameters:
    `string` - FastStringBuffer reference, which must be non-null.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Returns:
    An XMLString object that wraps the FastStringBuffer reference.

### emptystr

    public abstract XMLString emptystr()

  Get a cheap representation of an empty string.

  Returns:
    An non-null reference to an XMLString that represents "".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference